/*
 * Timer0.c
 *
 * Created: 2016/09/05 12:58:00
 *  Author: white
 */ 
 #include <avr/io.h>
 #include <avr/interrupt.h>

 #include "main.h"
 #include "Timer0.h"

 //---------------------------------------------------------------------------
 //	Timer ( 8bit )  (CTC [h)
 //---------------------------------------------------------------------------
 // 8 msec Ɋ݂B
 // 125(TIMER0_INTERVAL) GREEN_LED ON/OFF B
 // (8~125=1b)
 ISR (TIMER0_COMPA_vect)
 {
	 unsigned char bPortB ;

	 uiTimer_0-- ;
	 if ( uiTimer_0 == 0 ) {
		 bPortB  = PORTB ;
		 bPortB ^= GREEN_LED ;	// Green LED ON/OFF
		 PORTB   = bPortB ;
		 uiTimer_0 = TIMER0_INTERVAL ;
	 }
	 
 }