/*
 * GccApplication1.c
 *
 * Created: 2016/09/05 12:44:53
 * Author : white
 */ 

#include <avr/io.h>
#include <avr/interrupt.h>

#include "Timer0.h"

unsigned int  uiTimer_0 ;

//	֐̃vg^Cv錾
void Initialize(void) ;

//---------------------------------------------------------------------------
//	Main [`
//---------------------------------------------------------------------------
int main(void)
{
	cli();			// ݂֎~B

	Initialize() ;	// ӑuB

	sei();			// ݂B

	while(1)
	{
		//TODO:: Please write your application code
	}
	
	return(0);
}

//---------------------------------------------------------------------------
// ӂ̏sB
//---------------------------------------------------------------------------
void Initialize(void)
{
	// Port B SĂo͂ɐݒ
	DDRB  = 0b11111111 ;

	// Port B PB0 High
	PORTB = GREEN_LED ;

	// Port C SĂo͂ɐݒ
	DDRC  = 0b11111111 ;

	// Port C
	PORTC = 0b00000000 ;

	// Port D SĂo͂ɐݒ
	DDRD  = 0b11111111 ;

	// Port D
	PORTD = 0b00000000 ;
	
	// 8 bit Timer ݒ肷B
	//         ++--------------- COM0A W|[gɐݒ肷B
	//         ||++------------- COM0B W|[gɐݒ肷B
	//         ||||++----------- Reserved
	//         ||||||++--------- WGM0 CTC
	//         ||||||||
	TCCR0A = 0b00000010 ;

	//         ++--------------- FOC0A, FOC0B
	//         ||++------------- Reserved
	//         ||||+------------ WGM02
	//         |||||+++--------- CS02, 1, 0 ( 1/256 )
	//         ||||||||
	TCCR0B = 0b00000101 ;		// 1/16MHz * 1024 = 64nsec

	OCR0A = (125-1) ;		// Output Compare A Register (0`124) 125 * 64nsec = 8msec

	uiTimer_0 = TIMER0_INTERVAL ;

	//         +++++------------ Reserved
	//         |||||+----------- OCIE0B Output Compare Match B Interrupt Enable
	//         ||||||+---------- OCIE0A Output Compare Match A Interrupt Enable
	//         |||||||+--------- TOIE0  Timer Overflow Interrupt Enable
	//         ||||||||
	TIMSK0 = 0b00000010 ;
	
}

